#include<stdio.h>
#include<math.h>
long long n[101],m[101],k[101];
main()
{
	int t;
	long long d,br=0,br1=0,f=0,i,j;
	float c,a,b;
//	printf("unesi broj testova \n");
	scanf("%d", &t);
	for(i=0;i<t;i++)
	{
	//	printf("unesi broj ucenika\n");
		scanf("%lld", &n[i]);
	//	printf("uneso broj krem bananica\n");
		scanf("%lld", &m[i]);
	//	printf("unesi broj grupa \n");
		scanf("%lld", &k[i]);
	}
	for(i=0;i<t;i++)
	{
		if(n[i]<k[i])
		{
			printf("Nie\n");
		}
		else
		{
		//	sve dok ima krebmadanica krembananica npr ako idu 3 ucenika bice dovoljno da prvi dobije 1 2 3 ukupno 6 krem bananica
		// dolazim  do novog saznanja da treba iz drugih grupa mogu da imaju isto krem bananica
			if(n[i]%k[i]==0)
			{
				d=n[i]/k[i];
				for(j=1;j<=d;j++)
				{
					br=br+j;
				}
				br=br*d;
			//	printf("broj je %d \n", br);
				if(m[i]<br)
					{
						printf("Nie\n");
					}
				else
					{
						printf("Tak\n");
					}
			br=0;
			}
			else
			{
				a=n[i];
				b=k[i];
				c=ceil(a/b);
				
			//	printf("c je %f\n", c);
				while(n[i]%k[i]!=0)
				{
					for(j=1;j<=c;j++)
					{
						br=br+j;
			//			printf("broj je %d\n", br);
					}
			//		f=f+1;
					k[i]=k[i]-1;
					n[i]=n[i]-c;
				}
			//	printf("f je %d \n", f);
				for(j=1;j<c;j++)
				{
					br1=br1+j;
				//	printf("br2 je %d\n", br1);
				}
				br=br+br1*k[i];
			//	printf("ostampaj broj %d\n", br);
				if(m[i]<br)
					{
						printf("Nie\n");
					}
				else
					{
						printf("Tak\n");
					}
			br1=0;
			br=0;
			}
		}
	}
}